> For the complete documentation index, see [llms.txt](https://developers.smartpm.com/llms.txt)

# Set activity contractual dates

> POST /project/{projectId}/activity/{activityId}/contractual-dates



## Servers
- SmartPM Production Environment: https://live.smartpmtech.com (SmartPM Production Environment)


## Authentication methods
- Api key


## Parameters
### Headers

- **X-COMPANY-ID** (string)
  The company's unique ID


### Path parameters

- **projectId** (integer(int64))

- **activityId** (integer(int64))



### Body: application/json (object)

- **dataDate** (string(date-time))

- **contractualEndDate** (string(date-time))



## Responses
### 200
OK

#### Body: */* (object)
- **id** (integer(int64))

- **projectId** (integer(int64))

- **activityId** (integer(int64))

- **dataDate** (string(date-time))

- **contractualEndDate** (string(date-time))



[Powered by Bump.sh](https://bump.sh)
